import axios from 'axios';
import { RegisterSeniorType } from 'types/RegisterSeniorType';

/**
 * @async
 * Create an account for the senior on the platform.
 * @param values values of the new account.
 * @returns {Promise<void>}.
 */
export const registerSenior = async (
  values: RegisterSeniorType,
): Promise<void> => axios.post('/api/web/seniors/', values);
