import React, { FC } from 'react';
import { useVehicle } from 'hooks/useVehicle';

export const VehicleList: FC = () => {
  const vehicles = useVehicle();
  return (
    <div data-testid="VehicleList">
      {vehicles.length !== 0 ? (
        vehicles.map((vehicle, index) => (
          <h1 key={vehicle.plateNumber}>🚗{vehicle.carModel}</h1>
        ))
      ) : (
        <h1>No vehicles</h1>
      )}
    </div>
  );
};
